%define module_name	apanel
%define module_version	1.3
%define module_release	alt2

%define kversion	2.6.12
%define krelease	alt4
%define flavour		wks26-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')
%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.1

Group:		System/Kernel and hardware
Summary:	%module_name kernel module for submount
URL:		http://submount.sourceforge.net/
License:	GPL

ExclusiveOS:	Linux
BuildPreReq:    kernel-build-tools
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease

%description
This package provides kernel support for Fujitsu Lifebook
application panel.

You'll also need 'apanel' package.

%prep

rm -rf kernel-source-%module_name-%{module_version}*

tar jxf %kernel_src/kernel-source-%module_name-%module_version.tar.*

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
#make -f Makefile-2.6 \
%__mv -f Makefile-2.6 Makefile
%make KERNEL_SOURCE=%_usrsrc/linux-%kversion-%flavour/ 

%install
%__install -pD -m644 %module_name.ko \
	%buildroot/%module_dir/%module_name.ko

%post
[ -z "$DURING_INSTALL" ] && \
(/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease)

%postun
[ -z "$DURING_INSTALL" ] && \
([ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease)

%files
%dir %module_dir/
%module_dir/*

%changelog
* Thu Aug 25 2005 X-Stranger <xstranger@altlinux.ru> 1.3-alt2.1
- small bugfix with module packaging

* Tue Jul 26 2005 Michael Shigorin <mike@altlinux.org> 1.3-alt1.1
- rebuilt for 2.6.12-std26-up-alt1

* Tue May 17 2005 Michael Shigorin <mike@altlinux.ru> 1.3-alt1.5
- rebuilt for 2.6.10-wks26-up-alt5

* Wed Oct 20 2004 Michael Shigorin <mike@altlinux.ru> 1.3-alt1.1
- 1.3 for 2.4.27-std-up-alt1

* Mon Jul 12 2004 Michael Shigorin <mike@altlinux.ru> 1.2-alt1.5
- built for ALT Linux
